#ifndef __IUF_BULLETFB
#define __IUF_BULLETFB
/** This class represent a FireBall Bullet.
	This is a bullet that fly normally for two secs and then explodes.		
*/
class BulletFireBall : public Bullet
{
	public:
	/// Minimal Constructor, set also the correct ttl
	BulletFireBall(){ttl=3000;}
	/// Constructor with given position and direction, set also the correct ttl
	BulletFireBall(const Point3f &_p, const float _angle)
		:Bullet(_p,_angle){ttl=3000;}

	/// Constructur with given position and direction and velocity, set also the correct ttl
  BulletFireBall(const Point3f &_p, const float _angle, const Point3f &_v)
			:Bullet(_p,_angle,_v){ttl=3000;}
	
	/** This function draw The FireBall.
  For first two secs this call the old bullet::draw
	(just a short line shading from cyan to dark blue).
  then draw a lot of small bullets radially expanding
	*/
	void Draw();
	
	/** Move the bullet, stop it and make it explode.
	For the first two sec call the bullet::update, 
	then stop the bullet and resize the bounding sphere 
	radius to destroy anything inside the explosion radius
	*/
	void Update(int t)
	{
		if(ttl<1000) 
		{
			B.r=(1000-ttl)/50.0;
			v=Point3f(0,0,0);
		}
		Bullet::Update(t);
	}
};

#endif